summaryrefslogtreecommitdiff
path: root/qpid/cpp/src/tests/run_queue_redirect
diff options
context:
space:
mode:
Diffstat (limited to 'qpid/cpp/src/tests/run_queue_redirect')
-rwxr-xr-xqpid/cpp/src/tests/run_queue_redirect56
1 files changed, 56 insertions, 0 deletions
diff --git a/qpid/cpp/src/tests/run_queue_redirect b/qpid/cpp/src/tests/run_queue_redirect
new file mode 100755
index 0000000000..3a0ae5118a
--- /dev/null
+++ b/qpid/cpp/src/tests/run_queue_redirect
@@ -0,0 +1,56 @@
+#!/usr/bin/env bash
+
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+# Run the queue redirect. $srcdir is set by the Makefile.
+source ./test_env.sh
+DATA_DIR=`pwd`/data_dir
+
+trap stop_brokers INT TERM QUIT
+
+start_brokers() {
+ $QPIDD_EXEC --daemon \
+ --port 0 --interface 127.0.0.1 \
+ --no-module-dir \
+ --data-dir $DATA_DIR \
+ --acl-file policy.acl \
+ --auth no \
+ --log-to-file queue_redirect.log \
+ --log-enable info+ \
+ --log-enable trace+:Model \
+ --log-enable trace+ > qpidd.port
+ LOCAL_PORT=`cat qpidd.port`
+}
+
+stop_brokers() {
+ $QPIDD_EXEC --no-module-dir -q --port $LOCAL_PORT
+}
+
+if test -d ${PYTHON_DIR} ; then
+ rm -f queue_redirect.log
+ rm -rf $DATA_DIR
+ mkdir -p $DATA_DIR
+ cp $srcdir/policy.acl $DATA_DIR
+ start_brokers
+ echo "Running queue redirect tests using broker on port $LOCAL_PORT"
+ $QPID_PYTHON_TEST -b localhost:$LOCAL_PORT -m queue_redirect
+ stop_brokers || EXITCODE=1
+ exit $EXITCODE
+fi